Loading...
Searching...
No Matches
BALL::PDB::BookKeeping Struct Reference

`#include <BALL/FORMAT/PDBdefs.h>`

## Public Member Functions

| BookKeeping ()
void | clear ()

## Public Attributes

Size | remark_records
Size | het_records
Size | helix_records
Size | sheet_records
Size | turn_records
Size | site_records
Size | coordinate_transformation_records
Size | atomic_coordinate_records
Size | ter_records
Size | conect_records
Size | seqres_records

## Detailed Description

This struct contains the number of records in a PDB file as required for the MASTER record.

Definition at line 1209 of file PDBdefs.h.

## Constructor & Destructor Documentation

## BookKeeping()

BALL::PDB::BookKeeping::BookKeeping | ( |  | ) |

inline

Definition at line 1223 of file PDBdefs.h.

## Member Function Documentation

## clear()

void BALL::PDB::BookKeeping::clear | ( |  | ) |

inline

Definition at line 1228 of file PDBdefs.h.

## Member Data Documentation

## atomic_coordinate_records

Size BALL::PDB::BookKeeping::atomic_coordinate_records

Definition at line 1218 of file PDBdefs.h.

## conect_records

Size BALL::PDB::BookKeeping::conect_records

Definition at line 1220 of file PDBdefs.h.

## coordinate_transformation_records

Size BALL::PDB::BookKeeping::coordinate_transformation_records

Definition at line 1217 of file PDBdefs.h.

## helix_records

Size BALL::PDB::BookKeeping::helix_records

Definition at line 1213 of file PDBdefs.h.

## het_records

Size BALL::PDB::BookKeeping::het_records

Definition at line 1212 of file PDBdefs.h.

## remark_records

Size BALL::PDB::BookKeeping::remark_records

Definition at line 1211 of file PDBdefs.h.

## seqres_records

Size BALL::PDB::BookKeeping::seqres_records

Definition at line 1221 of file PDBdefs.h.

## sheet_records

Size BALL::PDB::BookKeeping::sheet_records

Definition at line 1214 of file PDBdefs.h.

## site_records

Size BALL::PDB::BookKeeping::site_records

Definition at line 1216 of file PDBdefs.h.

## ter_records

Size BALL::PDB::BookKeeping::ter_records

Definition at line 1219 of file PDBdefs.h.

## turn_records

Size BALL::PDB::BookKeeping::turn_records

Definition at line 1215 of file PDBdefs.h.